> For the complete documentation index, see [llms.txt](https://docs.3dolphins.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.3dolphins.ai/5.1.x/bot-settings/process-flow/component-of-workflow/send-message.md).

# Send Message

For example, add workflow of reminder message.

![Reminder Workflow](/files/-MS1mF0Y889wVQAdDImn)

To display the message reminder, a timer interval is needed. Timer interval enable you to control the workflow using a time condition. You can use timer interval for creating a delay before running an next proses. For example, set interval message to 5 second.

![Reminder Workflow - reminder1Mins](/files/-MS1mYErtyCV6F6ht1eP)

When the ‘reminder1Mins’ process finishes running according to the specified time interval, the process flow will automatically move to the next node\_id which is ‘sendReminder’. ‘SendReminder’ functions to send a reminder message that will be sent to the customer.

![Reminder Workflow - sendReminder](/files/-MS1n0_TVAHnHgz0_Zmn)

**Component explanation** :

| Component     | Description                                                                                                                                                  |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Message Name  | The node\_id in the workflow component.                                                                                                                      |
| Link          | link will automatically filled (example : domain.com/apiv1/graph/tickets/sendMessage)                                                                        |
| Username      | Username of user on the 3Dolphins system.                                                                                                                    |
| Password      | Password of user on the 3Dolphins system.                                                                                                                    |
| Ticket Number | Retrieve the ticketNumber variable from the request body.                                                                                                    |
| Channel Type  | Select a channel to send message (Channel has been registered in the omnichannel)                                                                            |
| Message ID    | Message ID can be written freely (free text).                                                                                                                |
| Reply Agent   | If the message is sent by a bot, then write the agent reply as ‘Bot’, however if the message is sent by the agent, the agent reply is written as ‘Agent id’. |
| Message       | Enter a custom message that will appear in the notification message that are sent on the channel selected.                                                   |

In the image above *(Images Reminder Workflow – sendReminder*), we take the example of the ‘${intent.ticket.ticketNumber}’ variable. This process is to provide a feedback response to requests sent, this response is in the form of an ‘Ticket Number’ object whose value is ‘${intent.ticket.ticketNumber}’. this ‘${intent.ticket.ticketNumber}’ variable serves to retrieve the ticketNumber variable from the request body.

For example : when a customer sends a message, the customer automatically sends a request (extension request) to the flow process. An example of this extension request can be seen in the image below.

![Start (Request Body Example)](/files/-MS7m0QtESrtEud8Olz1)

In the extension request there is some data that may be needed by the developer, such as an account ID, ticket number, etc. For example, when retrieving the ticket number from the request extension, the method of writing is: $ {intent.ticket.ticketNumber}.

### **Setting Message URLs**

The URL on this message is the default and will be filled automatically when you create a workflow process.

![](/files/-MS1pJjBJZgm8It_hjjH)

**Description of URL :**

* {URL} : Used to pass information to the destination.
* {Path} : Location of data on the server


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.3dolphins.ai/5.1.x/bot-settings/process-flow/component-of-workflow/send-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
